package fixedCode;
public class Page {
	private int id;
	int physical;
	private boolean modified;
	private long inMemTime;
	private long lastTouchTime;
	private long high;
	private long low;
	private boolean read;
	
	
	
	public boolean isRead() {
		return read;
	}

	public void setRead(boolean read) {
		this.read = read;
	}

	public Page(int id, int physical, boolean read, boolean modified, int inMemTime,
			int lastTouchTime, long high, long low) {
		this.id = id;
		this.physical = physical;
		this.modified = modified;
		this.inMemTime = inMemTime;
		this.lastTouchTime = lastTouchTime;
		this.high = high;
		this.low = low;
		this.read=read;
	}

	public int getId() {
		return id;
	}

	public int getPhysical() {
		return physical;
	}

	public boolean isModified() {
		return modified;
	}

	
	
	public long getLengthOfTimePageIsLoaded() {
		return TimerTick.getTimerTick()- inMemTime;
	}

	public long getTimePeriodSinceLastTouch() {
		return TimerTick.getTimerTick()-lastTouchTime;
	}

	public long getHigh() {
		return high;
	}

	public long getLow() {
		return low;
	}

	public void setHigh(long high) {
		this.high = high;
	}

	public void setLow(long low) {
		this.low = low;
	}

	public void setId(int id) {
		this.id = id;
	}

	public void setPhysical(int physical) {
		this.physical = physical;
	}

	public void setModified(boolean m) {
		modified = m;
	}

	public void setInMemTime(long inMemTime) {
		this.inMemTime = inMemTime;
	}

	public void setLastTouchTime(long lastTouchTime) {
		this.lastTouchTime = lastTouchTime;
	}

}
