package fixedCode;

public class Instruction {
	private String inst;
	private long addr;
	private boolean write=false;
	private boolean read=false;

	public Instruction(String inst, long addr) {
		this.inst = inst;
		this.addr = addr;
		
		if (inst.startsWith("READ")) {
			read=true;
		} else if (inst.startsWith("WRITE")) {
			write=true;
		}
		else
		{
			
		}
	}

	public String getInst() {
		return inst;
	}

	public long getAddr() {
		return addr;
	}

	public boolean isRead() {
		return this.read;
	}

	public boolean isWrite() {
		return this.write;
	}

}
